Foros del Web » Programando para Internet » PHP »

Apache - PHP5 y IIS .NET en una sola PC

Estas en el tema de Apache - PHP5 y IIS .NET en una sola PC en el foro de PHP en Foros del Web. Hola Amigos del debido a trabajo me veo en la necesidad de trabajar estos 2 lenguajes, la verdad no se de correr tanto las aspx ...
  #1 (permalink)  
Antiguo 23/09/2004, 11:29
Avatar de shinblood  
Fecha de Ingreso: diciembre-2003
Ubicación: lima
Mensajes: 214
Antigüedad: 14 años
Puntos: 1
Pregunta Apache - PHP5 y IIS .NET en una sola PC

Hola Amigos del debido a trabajo me veo en la necesidad de trabajar estos 2 lenguajes, la verdad no se de correr tanto las aspx y php en el IIS o Instalar el Apache y el IIS en mi pc (lo cual no se como acerlo y ademas temo que halla algun tipo de conflicto al tener 2 servidores web).
Espero contar con sus recomendaciones para salir de esta duda..

un saludo

PD: mi PC tiene como SO windows XP
__________________
saludos :adios:
  #2 (permalink)  
Antiguo 23/09/2004, 12:54
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Si dices que trabajas en ASP (o .NET) bajo tu servidor HTTP: IIS . .lo ideal (y mas simple) es que instales soporte PHP bajo tu IIS (como si de otro CGI se tratase por ejemplo).

En la documentación de PHP (la de instalación) se explica como debes hacerlo.
http://www.php.net/manual/es/install.iis.php

Si piensas usar Apache+PHP .. recuerda que si necesitas tener ambos servidores corriendo a la vez .. tendrás que hacer trabajar en puertos diferentes a uno u otro (en Apache en su httpd.conf -> Port se define .. cambiandolo a otro diferente al 80 ya que IIS también pretenderá estar ahí en ese mismo puerto).

Un saludo,
  #3 (permalink)  
Antiguo 26/09/2004, 21:39
Avatar de shinblood  
Fecha de Ingreso: diciembre-2003
Ubicación: lima
Mensajes: 214
Antigüedad: 14 años
Puntos: 1
Gracias cluster por tu consejo,
bueno decidi instalar el Apache ya que php corre mejor en Apache que en IIS lo malo que al instalar la ver 2.0.50 me daba error (falla a iniciar el servicio ) a pesar de haberle cambiado el puerto (del 80 al 8080 )asi que tuve que instalarle la ver. 1.3.29 ahi si funciona bien..

un saludo
__________________
saludos :adios:
  #4 (permalink)  
Antiguo 27/09/2004, 03:40
 
Fecha de Ingreso: noviembre-2003
Ubicación: Tabasco, Mexico
Mensajes: 249
Antigüedad: 14 años
Puntos: 2
Pues te decidiste por apache, pero para lo que tu necesitas, pues me uno a la recomendacion que te da Cluster ya que como el te menciona es facil... ademas que tienes el servicio web en un solo puerto, y al serviodor web reconociendote ambos lenguajes... asi de sencillo... Aunque la decicion sigue estando de tu lado...

Hasta pronto...
__________________
Crea tu Foro Gratis
Portal Tabasco
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 07:52.